Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSyntax
Interface PlanBody

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable<Term>, java.io.Serializable, Term, ToDOM

All Known Implementing Classes:
  BodyLiteral, PlanBodyImpl, UnnamedVar, VarTerm

    public interface PlanBody

extends Term

Interface for elements of a plans's body.

Nested Class Summary
`static class` | `PlanBody.BodyType`

Method Summary
`boolean` | `add(int index, PlanBody bl)`
`boolean` | `add(PlanBody bl)`
`PlanBody` | `clonePB()` clone the plan body
`PlanBody` | `getBodyNext()`
`Term` | `getBodyTerm()`
`PlanBody.BodyType` | `getBodyType()`
`PlanBody` | `getLastBody()`
`int` | `getPlanSize()`
`boolean` | `isBodyTerm()`
`boolean` | `isEmptyBody()`
`Term` | `removeBody(int index)`
`void` | `setAsBodyTerm(boolean b)`
`void` | `setBodyNext(PlanBody bl)`
`void` | `setBodyTerm(Term t)`
`void` | `setBodyType(PlanBody.BodyType bt)`

Methods inherited from interface jason.asSyntax.Term
`apply, clone, countVars, equals, getSrcInfo, hasVar, isArithExpr, isAtom, isGround, isInternalAction, isList, isLiteral, isNumeric, isPlanBody, isPred, isRule, isString, isStructure, isUnnamedVar, isVar, setSrcInfo`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface jason.util.ToDOM
`getAsDOM`

Method Detail

### getBodyType

    PlanBody.BodyType getBodyType()

### getBodyTerm

    Term getBodyTerm()

### getBodyNext

    PlanBody getBodyNext()

### isEmptyBody

    boolean isEmptyBody()

### getPlanSize

    int getPlanSize()

### setBodyType

    void setBodyType(PlanBody.BodyType bt)

### setBodyTerm

    void setBodyTerm(Term t)

### setBodyNext

    void setBodyNext(PlanBody bl)

### getLastBody

    PlanBody getLastBody()

### isBodyTerm

    boolean isBodyTerm()

### setAsBodyTerm

    void setAsBodyTerm(boolean b)

### add

    boolean add(PlanBody bl)

### add

    boolean add(int index,
                PlanBody bl)

### removeBody

    Term removeBody(int index)

### clonePB

    PlanBody clonePB()

  clone the plan body

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD